cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/operator_groups/rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.operator_groups.get_settings_operator_group("rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.operatorGroups.getSettingsOperatorGroup('rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->operatorGroups->getSettingsOperatorGroup('rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.operator_groups.operator_groups_dto.OperatorGroupsDto.SettingsOperatorGroup;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsOperatorGroup> response = client.operatorGroups().getSettingsOperatorGroup(
"rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.OperatorGroups.GetSettingsOperatorGroupAsync("rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.operatorGroups.getSettingsOperatorGroup(
'rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.OperatorGroups().GetSettingsOperatorGroup(context.Background(), "rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"operator_group": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"status": "<string>",
"role": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"departments": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Operator groups
Retrieve an operator group
Returns one operator group, under operator_group.
GET
/
settings
/
operator_groups
/
{operator_group_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/operator_groups/rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.operator_groups.get_settings_operator_group("rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.operatorGroups.getSettingsOperatorGroup('rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->operatorGroups->getSettingsOperatorGroup('rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.operator_groups.operator_groups_dto.OperatorGroupsDto.SettingsOperatorGroup;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsOperatorGroup> response = client.operatorGroups().getSettingsOperatorGroup(
"rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.OperatorGroups.GetSettingsOperatorGroupAsync("rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.operatorGroups.getSettingsOperatorGroup(
'rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.OperatorGroups().GetSettingsOperatorGroup(context.Background(), "rol_9b1e4d7a3c6f4a2e8d5b0c7f1a3e6d92", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"operator_group": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"status": "<string>",
"role": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"departments": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Pass the group’s
rol_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The operator group's rol_ id, as List operator groups returns it in id.
Response
200 - application/json
The group, under operator_group.
One operator group.
Show child attributes
Show child attributes